For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
              • POSTCreate Locations
              • GETList Locations
              • PUTUpdate Locations
              • DELDelete Locations
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInventoryLocations

Create Locations

POST
https://api.bigcommerce.com/stores/:store_hash/v3/inventory/locations
POST
/stores/:store_hash/v3/inventory/locations
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/inventory/locations \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "code": "BIGC-1",
> "label": "Central store",
> "description": "Central shop of the world",
> "managed_by_external_source": false,
> "type_id": "PHYSICAL",
> "enabled": true,
> "operating_hours": {
> "sunday": {
> "open": false,
> "opening": "08:00",
> "closing": "16:00"
> },
> "monday": {
> "open": false,
> "opening": "08:00",
> "closing": "16:00"
> },
> "tuesday": {
> "open": false,
> "opening": "08:00",
> "closing": "16:00"
> },
> "wednesday": {
> "open": false,
> "opening": "08:00",
> "closing": "16:00"
> },
> "thursday": {
> "open": false,
> "opening": "08:00",
> "closing": "16:00"
> },
> "friday": {
> "open": false,
> "opening": "08:00",
> "closing": "16:00"
> },
> "saturday": {
> "open": false,
> "opening": "08:00",
> "closing": "16:00"
> }
> },
> "time_zone": "Etc/UTC",
> "address": {
> "address1": "5th Ave",
> "city": "New York",
> "state": "NY",
> "zip": "10021",
> "email": "test@example.com",
> "geo_coordinates": {
> "latitude": 40.774378,
> "longitude": -73.9653178
> },
> "country_code": "US",
> "address2": "string",
> "phone": "800-555-0198"
> },
> "storefront_visibility": true,
> "special_hours": [
> {
> "label": "Thanksgiving",
> "date": "2022-09-29",
> "open": true,
> "opening": "09:00",
> "closing": "09:00",
> "all_day": false,
> "annual": false
> }
> ]
> }
>]'
1{
2 "transaction_id": "string"
3}
Create new locations. **Limits** * Limit of 50 concurrent requests. * Limit of 100 active locations.
Was this page helpful?
Previous

Update Inventory Settings for Location

Next

List Locations

Built with

Create new locations.

Limits

  • Limit of 50 concurrent requests.
  • Limit of 100 active locations.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Store Inventory | read-only | `store_inventory_read_only` | | Store Inventory | modify | `store_inventory` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects a list of objects.
codestringOptional

Location user-defined unique identifier.

labelstringOptional
Location label.
descriptionstringOptional

Description of location. This field can be returned by the GraphQL Storefront API so that additional details can be exposed to customers on the storefront (customer-facing).

managed_by_external_sourcebooleanOptionalDefaults to false

Indicates if the third-party system is the source of truth for inventory values. If set to true, manually editing inventory in the BigCommerce control panel will be disabled.

type_idenumOptionalDefaults to PHYSICAL
Describe type of given location.
Allowed values:
enabledbooleanOptionalDefaults to true
operating_hoursobjectOptional
Schedule with opening and closing hours for each day of the week.
time_zonestringOptional

Time zone of location. For a list of valid time zones, please view: https://en.wikipedia.org/wiki/List_of_tz_database_time_zones.

addressobjectOptional

Address is required if the locationʼs type_id is PHYSICAL.

storefront_visibilitybooleanOptionalDefaults to true
special_hourslist of objectsOptional

Response

Locations have been successfully created.
transaction_idstring
Unique identifier of performed action.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Store Inventoryread-onlystore_inventory_read_only
Store Inventorymodifystore_inventory

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.